Create Knowledge Base
Creates a new knowledge base for the specified location.
POST
/
knowledge-base
Create Knowledge Base
curl --request POST \
--url https://services.leadconnectorhq.com/knowledge-base \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Product Documentation",
"locationId": "ve9EPM428h8vShlRW1KT"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Product Documentation', locationId: 've9EPM428h8vShlRW1KT'})
};
fetch('https://services.leadconnectorhq.com/knowledge-base', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base"
payload = {
"name": "Product Documentation",
"locationId": "ve9EPM428h8vShlRW1KT"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"knowledgeBase": {
"id": "kb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Product Documentation",
"urlCount": 15,
"faqCount": 42,
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Body
application/json
Last modified on March 7, 2026
Was this page helpful?
Create Knowledge Base
curl --request POST \
--url https://services.leadconnectorhq.com/knowledge-base \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Product Documentation",
"locationId": "ve9EPM428h8vShlRW1KT"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Product Documentation', locationId: 've9EPM428h8vShlRW1KT'})
};
fetch('https://services.leadconnectorhq.com/knowledge-base', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base"
payload = {
"name": "Product Documentation",
"locationId": "ve9EPM428h8vShlRW1KT"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"knowledgeBase": {
"id": "kb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Product Documentation",
"urlCount": 15,
"faqCount": 42,
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}